Bug 1124132 - [RFE][neutron]: multicast-management
Summary: [RFE][neutron]: multicast-management
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_next upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 04:04 UTC by RHOS Integration
Modified: 2015-12-10 20:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:07:57 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-29 04:04:03 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/multicast-management.

Description:

In existing Open stack solution, Tenant VMs hosted  will receive unnecessary
multicast traffic upto the Layer of the IP Stack even though they have not
subscribed to the multicast group. ( i.e multicast packets “reaches” the L2
layer of the VM’s will be dropped at the Layer 2 since no multicast entry
exist).

With this proposal, the vSwitch will be provisioned to handle IGMP control
packets to manage multicast data packets of the unreserved multicast
data group. The reserved multicast group traffic will be always allowed
which is required for proper functioning of the network.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.